karma-dirty-chai

2.0.0 • Public • Published

karma-dirty-chai

for Karma

Requirements

This Karma plugin requires Karma >=0.10

Installation

Install the module via npm

$ npm install --save-dev karma-dirty-chai

Add dirty-chai to the frameworks key in your Karma configuration:

module.exports = function(config) {
  'use strict';
  config.set({
    frameworks: ['mocha', 'dirty-chai'],
    #...
  });
}

Usage

Each of the function form assertions from dirty-chai will now available in your tests using the expect or should syntax.

Readme

Keywords

Package Sidebar

Install

npm i karma-dirty-chai

Weekly Downloads

1,103

Version

2.0.0

License

BSD

Last publish

Collaborators

  • joshperry